DoxygenTask

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.doxygen.tools
Class DoxygenTask

    java.lang.Object
      Task
          org.doxygen.tools.DoxygenTask

public class DoxygenTask
extends Task

Ant task for Doxygen. This task provides a mapping between all current Doxygen configuration file options (as of 1.2.18) and Ant build files.
\par Doxygen and JavaDoc co-existence.
\note This file uses a combination of JavaDoc and Doxygen formatting codes. Doxygen tags begin with a single back-slash instead of the JavaDoc standard at-sign. This reduces the number of warnings which JavaDoc issues when parsing a Doxygen documented file while also including that text in JavaDoc output (albeit poorly formatted).
By placing all Doxygen paragraphs before any JavaDoc paragraphs, all text will naturally flow into the body of the main paragraph (for a graceful degradation).
Also, but placing one or two HTML <br> tags at the end of each paragraph, the degradation from Doxygen to JavaDoc will be less severe.

Since:
  Ant 1.5
Version:
  $Revision: 1.8.4.8 $
Author:
  Karthik Kumar
See Also:
  Serialized Form

Nested Class Summary
`static class` | `DoxygenTask.Property` This inner class implements a nested Ant XML property container.

Field Summary
`static java.lang.String` | `CONFIG_FILE` Name of the temporary configuration file that will be created in ${user.home}.

Constructor Summary
`DoxygenTask()` Initializes the Doxygen Configuration options.

Method Summary
`void` | `activityLog(boolean terseMessage, java.lang.String theMessage)` This method allows a single point of control over the task output verbosity.
`DoxygenTask.Property` | `createProperty()` This method enables nested property tags.
`void` | `execute()` This is the main execution entry-point of the task.
`java.util.Map` | `getTaskAttributes()`
`java.lang.String` | `getVersionCompatible()`
`void` | `setConfig(java.lang.String name, java.lang.String value)`
`void` | `setConfigFilename(java.lang.String attr)` Core Ant task element which specifies an non-generated Doxygen base configuration file.
`void` | `setDoxygenPath(java.lang.String attr)` Core Ant task element which specifies a path to the Doxygen executable.
`void` | `setVerbose(boolean attr)` Core Ant task element that controls the output verbosity of this Ant task.
`void` | `setVersionCompatible(java.lang.String newVersion)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONFIG_FILE

    public static final java.lang.String CONFIG_FILE

  Name of the temporary configuration file that will be created in ${user.home}.

Constructor Detail

### DoxygenTask

    public DoxygenTask()

  Initializes the Doxygen Configuration options.

Method Detail

### execute

    public final void execute()
                       throws BuildException

  This is the main execution entry-point of the task.

  Throws:
    `BuildException` - thrown in case any problem executing the task.

### setVersionCompatible

    public final void setVersionCompatible(java.lang.String newVersion)

  Parameters:
    `newVersion` - Sets the version against which compatibility check is to be run.

### getVersionCompatible

    public final java.lang.String getVersionCompatible()

  Returns:
    Returns the version against which the compatibility check is to be run.

### setVerbose

    public final void setVerbose(boolean attr)

  Core Ant task element that controls the output verbosity of this Ant task. By default, verbosity is minimized to allow for cleaner build logs. Turn this on, if you need more detailed diagnostic information.
  \test there is a marked difference in output depending on the value of verbose.

  Parameters:
    `attr` - from build.xml.

### setConfigFilename

    public final void setConfigFilename(java.lang.String attr)

  Core Ant task element which specifies an non-generated Doxygen base configuration file. All <doxygen> elements and nested elements that appear in the build.xml file will take precedence over this base configuration.
  The base configuration file will not be updated. Doxygen will be invoked with an amalgamated configuration file which is derived from either this configuration file or if not specified, a Doxygen default and then Ant task flavored almalgamated configuration file.
  \test If the configuration file is set, then the amalgamated configuration file is retained.

  Parameters:
    `attr` - from build.xml.

### setDoxygenPath

    public final void setDoxygenPath(java.lang.String attr)

  Core Ant task element which specifies a path to the Doxygen executable. By default the application name "doxygen" is used which presumes Doxygen is on the path.
  \test Specification of a bogus application name will fail.
  \todo Add a test to see that the specified executable exists.

  Parameters:
    `attr` - from build.xml.

### createProperty

    public final DoxygenTask.Property createProperty()

  This method enables nested property tags. This is the preferred attribute specification method as it reduces the acute knowledge that the task has over a given Doxygen implementation. However, non-nested attributes may still be specified.
  \note this method is only called by Ant.

  Returns:
    an empty `Property`.

### setConfig

    public final void setConfig(java.lang.String name,
                                java.lang.String value)

  Parameters:
    `name` - Name of the configuration property.

### getTaskAttributes

    public java.util.Map getTaskAttributes()

  Returns:
    Returns the Task Attributes of the Doxygen config. property file.

### activityLog

    public final void activityLog(boolean terseMessage,
                                  java.lang.String theMessage)

  This method allows a single point of control over the task output verbosity.
  \test message output is conditional. Some messages are always output, while others are only sometimes output.

  Parameters:
    `terseMessage` - is a flag that indicates the calling code wants this message to appear regardless of the current verbosity level.
    `theMessage` - to be output, guard condition permitting.

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Ant-Doxygen JavaDocs